Approving a plugin does not work

2015-08-02 11:01 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied:No

Description

When logged in, I can approve a plugin, e.g. http://plugins.qgis.org/plugins/MapsPrinter/

When refreshing the page, or going back to http://plugins.qgis.org/plugins/unapproved/ the plugin is unapproved. When repeating the

operation several times, finally I can get it approved (unclear what triggers it).

It may be a cache issue. It did not happen until a few weeks ago.

I set it as High priority, since it hampers and seriously slows down my work for plugin management.

History

#1 - 2015-08-02 11:53 PM - Alessandro Pasotti

It would be useful if you could provide the procedure to reproduce the issue: there is more than one way to approve a plugin.

BTW: I cannot reproduce it right now with FF on 

http://plugins.qgis.org/plugins/MapsPrinter/version/0.2/

#2 - 2015-08-02 11:57 PM - Paolo Cavallini

I try to approve a plugin by:

    -  going to the relative page

    -  clicking on Versions

    -  clicking on the thumb up/down icon.

Thanks.

#3 - 2015-08-03 12:03 AM - Alessandro Pasotti

Ok, so you are doing it from the front-end and not from the admin panel.

Can you check of approving through the admin panel has similar issues?

here is the link.

http://plugins.qgis.org/admin/plugins/pluginversion/3507/?_changelist_filters=plugin__id__exact%3D578

BTW, as I said, approving/unapproving from the front-end on MapsPrinter plugin works for me perfectly here (no caching issues).

#4 - 2015-08-03 12:46 AM - Harrissou Santanna

Hi,

Then I recieve nine notifications of approval, meaning maybe that it works the first time :)
#5 - 2015-08-03 12:50 AM - Alessandro Pasotti

Paolo, can you repeat the test with different browsers and report?

When reporting web application issues it's always a good idea to tell what OS, browser brand and version you are using.

#6 - 2015-08-03 12:52 AM - Alessandro Pasotti

Forgot to mention (it too obvious for me), browsers have an internal cache, try to press F5 or CTRL+R to refresh the page after pressing

approve/unapprove: does it change anything?

#7 - 2015-08-03 02:09 AM - Paolo Cavallini

Will try ASAP, thanks.

I did not report the details you mention because they did not change since when the application was working properly.

For the record:

    -  Debian sid

    -  Iceweasel 38.1.0

#8 - 2015-08-03 02:27 AM - Alessandro Pasotti

In order to reproduce I need those details, but since the code, the OS and the browser didn't change I guess the problem is at the server level.

This page is cached for sure:

http://plugins.qgis.org/plugins/unapproved/

(even if cache is disabled for logged in users at the application level, I remember Pirmin in Vienna put a varnish cache at the top of it, I don't know what are

the implications of this: maybe Pirmin knows)

In order to check if the plugin approval/unapproval was successful you should visit http://plugins.qgis.org/plugins/MapsPrinter/version/0.2/ (details tab), a

message also appears after a successful modification:

The plugin version "[578] Maps Printer 0.2" is now unapproved

The plugin version "[578] Maps Printer 0.2" is now approved

#9 - 2015-08-03 04:25 AM - Richard Duivenvoorde

I'm pretty sure varnish is not started anymore as (I think) we had trouble setting it up with the certificate etc...

(cannot find a varnish or varnishd proces currently running)

Another option (if you log in first) is to check

https://plugins.qgis.org/plugins/unapproved/

instead of

http://plugins.qgis.org/plugins/unapproved/

because If I'm correct, a https request is never cached?
OR off course there is some other django/server problem

#10 - 2015-08-03 08:53 AM - Paolo Cavallini

Just tried again with https, same behaviour.

#11 - 2015-08-03 09:43 AM - Paolo Cavallini

Apparently the plugin is indeed updated, but the page does not reflect this.

#12 - 2015-08-03 11:10 PM - Paolo Cavallini

- Priority changed from High to Low

Further test, still same environment: the plugin is indeed approved, as noticed earlier, and refreshing the http://plugins.qgis.org/plugins/unapproved/ page

will make it disappear from the list, so all seems normal now. Kind of an elusive problem, thanks for helping understanding it. Lowering the priority, as it is

more of an annoyance than an issue, as it stands.

#13 - 2016-01-15 08:10 AM - Paolo Cavallini

- Status changed from Open to Closed

Seems to be working now.
